[i945gme] brightness fluxuates wildly on KMS (karmic)

Bug #381461 reported by Jonathan Reeve on 2009-05-28
This bug report is a duplicate of:  Bug #415023: brightness is broken on MSI WIND U100. Edit Remove
32
This bug affects 6 people
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned

Bug Description

Binary package hint: xorg

After upgrading to karmic and enabling kernel mode setting, I've been having bizarre brightness issues on startup of X. X starts up, the desktop fades in as expected, and then the screen will flicker , as if it's cycling back and forth between through two brightness levels. There is usually a box where the brightness level would be indicated, in its old location (bottom center of the screen) that gets stuck there when this happens. Restarting X usually fixes this, but not always.

ProblemType: Bug
Architecture: i386
Date: Thu May 28 17:03:04 2009
DistroRelease: Ubuntu 9.10
Package: xorg 1:7.4~5ubuntu20
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.30-6.7-generic
RelatedPackageVersions:
 xserver-xorg 1:7.4~5ubuntu20
 libgl1-mesa-glx 7.4.1-1ubuntu1
 libdrm2 2.4.9-2ubuntu1
 xserver-xorg-video-intel 2:2.7.1-1ubuntu1
 xserver-xorg-video-ati 1:6.12.2-1ubuntu1
SourcePackage: xorg
Tags: ubuntu-unr
Uname: Linux 2.6.30-6-generic i686
system:
 distro: Ubuntu
 architecture: i686kernel: 2.6.30-6-generic

Jonathan Reeve (jon-reeve) wrote :
Jonathan Reeve (jon-reeve) wrote :
Download full text (3.2 KiB)

Update: doesn't seem to be specific to KMS, as I think I've been having the same problem with KMS disabled. Also, here are some messages I've been getting, though I'm not sure if they're relevant:

May 30 15:04:48 pia kernel: [ 36.520173] integrated sync not supported
May 30 15:04:48 pia kernel: [ 36.804170] integrated sync not supported
May 30 15:04:48 pia kernel: [ 37.080175] integrated sync not supported
May 30 15:04:52 pia kernel: [ 41.136237] integrated sync not supported
May 30 15:05:26 pia kernel: [ 74.736338] gvfs-gdu-volume[4741]: segfault at c ip 0065ffda sp bfdf6c10 error 4 in libgdu.so.0.0.0[657000+22000]
May 30 15:05:38 pia kernel: [ 87.120151] gvfs-gdu-volume[5034]: segfault at c ip 0050bfda sp bfe725b0 error 4 in libgdu.so.0.0.0[503000+22000]
May 30 15:05:44 pia kernel: [ 92.772304] mixer_applet2[4058]: segfault at aaaaaaac ip 00230be2 sp bfaf1a90 error 4 in libglib-2.0.so.0.2100.0[20d000+c3000]
May 30 15:05:46 pia kernel: [ 94.956223] integrated sync not supported
May 30 15:05:46 pia kernel: [ 95.240227] integrated sync not supported
May 30 15:05:48 pia kernel: [ 96.452239] integrated sync not supported
May 30 15:05:51 pia pulseaudio[5334]: pid.c: Stale PID file, overwriting.
May 30 15:05:53 pia kernel: [ 101.876205] integrated sync not supported
May 30 15:05:53 pia kernel: [ 102.156170] integrated sync not supported
May 30 15:05:54 pia kernel: [ 102.436207] integrated sync not supported
May 30 15:05:57 pia kernel: [ 105.448172] integrated sync not supported
May 30 15:06:14 pia kernel: [ 123.376261] integrated sync not supported
May 30 15:06:15 pia kernel: [ 123.652237] integrated sync not supported
May 30 15:06:16 pia kernel: [ 124.836227] integrated sync not supported
May 30 15:06:20 pia pulseaudio[5981]: pid.c: Stale PID file, overwriting.
May 30 15:06:22 pia kernel: [ 130.436180] integrated sync not supported
May 30 15:06:22 pia kernel: [ 130.716174] integrated sync not supported
May 30 15:06:22 pia kernel: [ 130.996176] integrated sync not supported
May 30 15:06:25 pia kernel: [ 134.256363] integrated sync not supported
May 30 15:06:30 pia bonobo-activation-server (jon-6227): could not associate with desktop session: Failed to connect to socket /tmp/dbus-A933wHNT6o: Connection refused
May 30 15:07:17 pia kernel: [ 185.424992] gvfs-gdu-volume[7108]: segfault at c ip 006ccfda sp bfe12650 error 4 in libgdu.so.0.0.0[6c4000+22000]
May 30 15:07:23 pia kernel: [ 192.085630] mixer_applet2[6171]: segfault at aaaaaaac ip 0039dbe2 sp bf87d150 error 4 in libglib-2.0.so.0.2100.0[37a000+c3000]
May 30 15:07:25 pia kernel: [ 194.144226] integrated sync not supported
May 30 15:07:26 pia kernel: [ 194.420241] integrated sync not supported
May 30 15:07:27 pia kernel: [ 195.604226] integrated sync not supported
May 30 15:07:31 pia pulseaudio[7427]: pid.c: Stale PID file, overwriting.
May 30 15:07:33 pia kernel: [ 201.572191] integrated sync not supported
May 30 15:07:33 pia kernel: [ 201.852172] integrated sync not supported
May 30 15:07:33 pia kernel: [ 202.136270] integrated sync not supported
May 30 15:07:36 pia kernel: [ 205.316192] integrated sync not supported
May 30 15:07:57 pia kernel: [ 226....

Read more...

Bryce Harrington (bryce) wrote :

Hi jon-reeve,

Thanks for including the attached files. Could you also include your /var/log/Xorg.0.log (or Xorg.0.log.old) from after reproducing the issue?

[This is an automated message. Apologies if it has reached you inappropriately; please just reply to this message indicating so.]

tags: added: needs-xorglog
Changed in xorg (Ubuntu):
status: New → Incomplete
Jonathan Reeve (jon-reeve) wrote :
Bryce Harrington (bryce) on 2009-06-06
affects: xorg (Ubuntu) → xserver-xorg-video-intel (Ubuntu)

For me this issue has been resolved with some recent update.

Bryce Harrington (bryce) wrote :

Jonathan, Christian reports the issue is solved for him - can you test karmic and confirm it is gone for you as well?

Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Bryce Harrington (bryce) on 2009-08-13
tags: added: karmic
Jonathan Reeve (jon-reeve) wrote :

I'm no longer having problems with the screen brightness after I log in, but I've just started having this problem on the login screen. Changing the brightness is jumpy--it moves two brightness levels at a time. Also, the brightness indicator (as noted by another bug, which is mislabeled as fixed) uses the old (Intrepid) notification style instead of the new style.

I can confirm Jonathan's experience on both counts.

Kieran Hogg (xerosis) wrote :

I'm not getting 100% the same symptoms but when I change my brightness (in KDE) it jumps from current to very dim to the new setting.

Geir Ove Myhr (gomyhr) on 2009-08-16
tags: added: 945gme backlight
removed: needs-xorglog
summary: - brightness fluxuates wildly on KMS (karmic)
+ [i945gme] brightness fluxuates wildly on KMS (karmic)
Geir Ove Myhr (gomyhr) wrote :

In the output of `xrandr --verbose` there should be a few lines looking something like this:
 BACKLIGHT_CONTROL: kernel
  supported: native legacy combination kernel
 BACKLIGHT: 15 (0x0000000f) range: (0,15)
What are your corresponding lines?

Does the number on the BACKLIGHT line change?

Do you have one or more files called "brightness" in some subdirectory under /proc/acpi/video/ (the exact location below that varies)? Where are they? What do they say? Does it change?

Bryce Harrington (bryce) on 2009-08-18
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → New
status: New → Incomplete
Kieran Hogg (xerosis) wrote :

Before and after changing the brightness:

        BACKLIGHT_CONTROL: native
        supported: native legacy combination kernel
        BACKLIGHT: 296 (0x00000128) range: (0,296)

        BACKLIGHT_CONTROL: native
        supported: native legacy combination kernel
        BACKLIGHT: 272 (0x00000110) range: (0,296)

All the files called brightness contain <not supported>.

This bug has the particularly annoying side-effect of turning the brightness all the way down leaving the computer unusable without a reboot.

Bryce Harrington (bryce) on 2009-09-04
Changed in xserver-xorg-video-intel (Ubuntu):
status: Incomplete → Confirmed

I just realized that when trying to set display brightness in "Power Management Preferences" to some levels also triggers the
fluxuating.

In my case e.g. 87% causes brightness to constantly switch betwen 80 and 90%.

:/proc/acpi/video/IGD/LCD$ cat brightness
levels: 20 30 40 50 60 70 80 90 100
current: 80 (-> 70 -> 80 ...)

Also when already at 100% and hitting the raise brightness key again does sometimes start the fluxuating or just throws it back to the next lower level.

No backlight output in xrandr --verbose though.

RatSon (materemias) wrote :

i have the same issue Wind U100, latest Karmic.

Capsaicin (ragnarthomsen) wrote :

I experience this same bug on my Wind U100, running Karmic beta with latest updates...very annoying...

/proc/acpi/video/IGD/LCD/brightness:

levels: 20 30 40 50 60 70 80 90 100
current: 70

I hope this gets fixed soon as it is really annoying.

Jonathan Reeve (jon-reeve) wrote :

Still having crazy brightness issues, with Intel 945M on a Wind U100. The screen flickers in GDM, and every time I try to change the brightness, it will fluxuate between two values, making the screen flicker until I log out and log back in. The only line in Xrandr --verbose that addresses the backlight is:

BACKLIGHT: 0 (0x00000000) range: (0,8)

and there's nothing I can see about backlight control.

cat /proc/acpi/video/IGD/LCD/brightness
levels: 20 30 40 50 60 70 80 90 100
current: 20

It apparently really likes 20%, and if I change it, then log out and log back in, it will gradually revert back to 20%.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers